Web lists-archives.com

Re: packages which have not been rebuild since December 2016




Hi!

On Wed, 2018-05-30 at 22:29:24 +0100, Chris Lamb wrote:
> > One issue we forgot to mention there is that all binary packages built
> > with dpkg < 1.18.17 need to be rebuild. Is that something easy to find
> > out with UDD? 
> 
> Unless I'm missing something, I don't think that UDD has this. Whilst
> we have a `packages` relation that can "detect" binNMUs (ie. SELECT *
> FROM packages WHERE version != source_version) there is no timestamp
> on this.
> 
> We have the "upload_history" relation but that will only give us an
> upper limit (roughly 50% of the archive).

I think this should be relatively easy to compute:

  if ! -e pkg.buildinfo
    → rebuild
  elif dpkg-dev not in pkg.buildinfo
    → rebuild
  elfi dpkg-dev < 1.18.17 in pkg.buildinfo
    → rebuild

?

And, hey, just today I stumbled upon this
<https://salsa.debian.org/bremner/built-with> :), which might perhaps
be a nice starting point.

Thanks,
Guillem